# Uses of Class
org.bukkit.loot.LootContext.Builder

Packages that use LootContext.Builder
Package
Description
org.bukkit.loot
Classes relevant to loot table manipulation and generation.

## Uses of LootContext.Builder in org.bukkit.loot

Methods in org.bukkit.loot that return LootContext.Builder
Modifier and Type
Method
Description
`@NotNull LootContext.Builder`
LootContext.Builder.`killer(@Nullable HumanEntity killer)`
Set the `HumanEntity` that killed `LootContext.getLootedEntity()`.
`@NotNull LootContext.Builder`
LootContext.Builder.`lootedEntity(@Nullable Entity lootedEntity)`
The entity that was killed.
`@NotNull LootContext.Builder`
LootContext.Builder.`lootingModifier(int modifier)`
Set the `Enchantment.LOOT_BONUS_MOBS` level equivalent to use when generating loot.
`@NotNull LootContext.Builder`
LootContext.Builder.`luck(float luck)`
Set how much luck to have when generating loot.